Summary: An experimental compiler for IoT applications
Name: fyrlang
Version: 0.1.4.0
Release: 1%{dist}
License: BSD-3-Clause
Source0: fyrlang-0.1.4.0.tar.xz
URL: http://fyr.vs.uni-due.de/
Packager: Oskar Carl <oskar.carl@uni-due.de>

BuildRequires: nodejs
BuildRequires: npm
BuildRequires: gcc
Requires: nodejs
Requires: gcc

%description
Fyr is a modern systems programming language that combines the versatility of C with the ease and safety of application programming languages like Java, Go or TypeScript. Like C/C++, Fyr can be used for low-level hardware-oriented programming and high-level application programming. In contrast to C, the Fyr compiler guarantees memory safety and thread safety at compilation time.

%global debug_package %{nil}

%prep
%setup -q -n fyrlang-0.1.4.0

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export datadir=%{_libdir}
%make_install

%post
ln -s %{_libdir}/fyrlang/bin/fyrc %{_bindir}/fyrc

%postun
rm %{_bindir}/fyrc

%files
%{_libdir}/%{name}/
%doc README.md
%{!?_licensedir:%global license %doc}
%license LICENSE.md
